﻿@model SearchViewModel
@inject MovieViewModel movieViewModel
@inject MainGenresViewModel mainGenresViewModel

@{
    ViewData["Title"] = "Search";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="Search" method="get">
            <div class="col-md-12">
                <h4>Search for movies in the database.</h4>
                <hr />
                <div class="form-group">
                    <div class="row">
                        <div class="col-md-2">
                            <label>Movie Tytle:</label>
                        </div>
                        <div class="col-md-2">
                            <label>Genre:</label>
                        </div>
                        <div class="col-md-2">
                            <label>Main Genre:</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <p><input type="text" asp-for="@Model.SearchString" class="form-control" /><p />
                        </div>
                        <div class="col-md-2">
                            <select asp-for="@Model.MovieGenre" asp-items="movieViewModel.GenresList" class="form-control">
                                <option value="">All</option>
                            </select>
                        </div>
                        <div class="col-md-2">
                            <select asp-for="@Model.MainGenre" asp-items="mainGenresViewModel.MainGenresList" class="form-control">
                                <option value="">All</option>
                            </select>
                        </div>
                        <div class="col-md-2">
                            <button type="submit" class="btn btn-primary">Search</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
</div>

<table class="table table-striped">
    <thead>
        <tr>
            <th>
                <label>Movie Tytle</label>
            </th>
            <th>
                <label>Release Date</label>
            </th>
            <th>
                <label>Duration</label>
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var movieViewModel in Model.Movies)
        {
        <tr>
            <td>
                @movieViewModel.Title
            </td>
            <td>
                @movieViewModel.ReleaseDate.ToString("dd MMMM yyyy")
            </td>
            <td>
                @movieViewModel.Duration min
            </td>
            <td>
                <a asp-controller="Movie" asp-action="Details" asp-route-id="@movieViewModel.Id">| Details</a> 
            </td>
        </tr>
        }
    </tbody>
</table>
